import type { CSSProperties, ComputedRef } from 'vue';
import type { ClassListName } from '../../_interface';
import type { DkButtonProps } from '../../dkbutton/src/props';
export interface getButtonType {
    classList: ComputedRef<ClassListName>;
    styleList: ComputedRef<CSSProperties>;
    personaClassList: ComputedRef<ClassListName>;
    personalityStylist: ComputedRef<CSSProperties>;
}
interface Params {
    iconSlot?: boolean;
    afterIconSlot?: boolean;
}
type MergedParams = Params & DkButtonProps;
export declare const getButton: (props: MergedParams) => getButtonType;
export {};
