import type { ComputedRef } from 'vue';
import type { dkPlusType, dkPlusSize } from '../../../_interface';
export interface getGlobalPropType {
    type?: dkPlusType | null;
    size: dkPlusSize | string | number;
}
export interface getGlobalType {
    getType: (value?: dkPlusType) => ComputedRef<dkPlusType>;
    getSize: (value?: dkPlusSize) => ComputedRef<dkPlusSize>;
    getProp: (target: ('type' | 'size')[], value?: string[]) => object;
}
export declare const getGlobal: (props?: getGlobalPropType) => getGlobalType;
