export interface getColorType {
    getDeepen: (value?: number) => string;
    getDodge: (value?: number) => string;
    hexToRgba: (opacity: number) => string;
    rgbaToHex: () => string;
}
declare const englishColor: {
    white: string;
    silver: string;
    gray: string;
    black: string;
    red: string;
    maroon: string;
    yellow: string;
    olive: string;
    lime: string;
    green: string;
    aqua: string;
    teal: string;
    blue: string;
    navy: string;
    fuchsia: string;
    purple: string;
};
export type Color = keyof typeof englishColor | string;
export declare const getColor: (color: Color) => getColorType;
export {};
