import type { Ref } from 'vue';
export interface FilterListType {
    key: string;
    callback: () => boolean;
}
export type FilterParams = (string | FilterListType)[];
export interface getPropsType {
    filter: (filterParams: FilterParams) => Record<string, unknown>;
    interceptProps: (parameter: string, verificationRule: () => boolean, defaultValue?: null | string) => Ref<string> | null | string;
}
export declare const getProps: <T extends object>(props: T) => getPropsType;
