import type { detailChangeType } from '../dkcheckbox/src/type';
import type { DefineComponent, PropType, Ref, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import type { Install, returnType } from '../_utils';
import checkboxGroup from "./src/checkboxGroup";
export declare const DkCheckboxGroup: Install<DefineComponent<{
    modelValue: returnType<PropType<unknown>, unknown[] | undefined>;
    max: returnType<NumberConstructor, number | null>;
}, {
    handleItemChange: Ref<(target: detailChangeType) => void>;
    getCheckedList: Ref<() => void>;
    max: Ref<number>;
    slotList: Ref<any>;
    checkedList: Ref<string[]>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "change"[], "change", PublicProps, Readonly<ExtractPropTypes<{
    modelValue: returnType<PropType<unknown>, unknown[] | undefined>;
    max: returnType<NumberConstructor, number | null>;
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    modelValue: unknown[];
    max: number;
}, {}>>;
export default DkCheckboxGroup;
export type checkboxGroupType = InstanceType<typeof checkboxGroup>;
