import type { DefineComponent, ComponentPropsOptions, ComputedRef, Ref, ComponentOptionsMixin, PublicProps, ExtractPropTypes, ComponentObjectPropsOptions } from 'vue';
import type { Install } from '../_utils/withInstall';
import codedisplay from "./src/codedisplay";
export declare const Dkcodedisplay: Install<DefineComponent<Readonly<ComponentPropsOptions<{
    [x: string]: unknown;
}>>, {
    codeHeight: ComputedRef<string>;
    handleOpenCode: () => void;
    handleMouseEnter: () => void;
    handleMouseLeave: () => void;
    codeBoxRef: Ref<HTMLElement | undefined>;
    codeParentRef: Ref<HTMLElement | undefined>;
    open: Ref<boolean>;
    width: Ref<number>;
    height: Ref<number>;
    isShow: Ref<boolean>;
    dkCodeDisplayStyleList: Ref<{}>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, readonly string[] | Readonly<ExtractPropTypes<Readonly<ComponentObjectPropsOptions<{
    [x: string]: unknown;
}>>>>, {
    [x: number]: string;
} | {}, {}>>;
export type codedisplayInstance = InstanceType<typeof codedisplay>;
export default Dkcodedisplay;
