import type { returnType } from '../_utils/props';
import type { DefineComponent, PropType, Ref, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import type { Install } from '../_utils/withInstall';
import Collapse from "./src/collapse";
export declare const DkCollapse: Install<DefineComponent<{
    readonly modelValue: returnType<PropType<string>, string | null>;
    readonly accordion: returnType<BooleanConstructor, boolean>;
}, {
    dkCollapse: Ref<Element | undefined>;
    slotList: Ref<any>;
    RenewalTime: Ref<number>;
    handleChange: (e: string) => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:modelValue" | "change")[], "update:modelValue" | "change", PublicProps, Readonly<ExtractPropTypes<{
    readonly modelValue: returnType<PropType<string>, string | null>;
    readonly accordion: returnType<BooleanConstructor, boolean>;
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    readonly modelValue: string;
    readonly accordion: boolean;
}, {}>>;
export type CollapseInstance = InstanceType<typeof Collapse>;
export default DkCollapse;
