import type { dkPlusPlaceMent, ClassListName } from '../../_interface';
import type { returnType } from '../..';
import type { DefineComponent, PropType, ComputedRef, CSSProperties, Ref, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    width: returnType<PropType<string>, string | null>;
    visible: returnType<BooleanConstructor, boolean>;
    modelValue: returnType<BooleanConstructor, boolean>;
    trigger: returnType<PropType<"hover">, "hover" | null>;
    placement: returnType<PropType<dkPlusPlaceMent>, dkPlusPlaceMent | null>;
    showArrow: returnType<BooleanConstructor, boolean>;
}, {
    classList: ComputedRef<ClassListName>;
    styleList: CSSProperties;
    wrapperClassList: ComputedRef<ClassListName>;
    handleMouseEnter: () => void;
    handleMouseLeave: () => void;
    setClassName: (visible: boolean) => void;
    handleClick: () => void;
    visible: Ref<boolean>;
    trigger: Ref<"hover">;
    wrapperRef: Ref<null>;
    placement: Ref<dkPlusPlaceMent>;
    top: Ref<string>;
    left: Ref<string>;
    showArrow: Ref<boolean>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:modelValue" | "hidden")[], "update:modelValue" | "hidden", PublicProps, Readonly<ExtractPropTypes<{
    width: returnType<PropType<string>, string | null>;
    visible: returnType<BooleanConstructor, boolean>;
    modelValue: returnType<BooleanConstructor, boolean>;
    trigger: returnType<PropType<"hover">, "hover" | null>;
    placement: returnType<PropType<dkPlusPlaceMent>, dkPlusPlaceMent | null>;
    showArrow: returnType<BooleanConstructor, boolean>;
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onHidden?: ((...args: any[]) => any) | undefined;
}, {
    width: string;
    modelValue: boolean;
    visible: boolean;
    trigger: "hover";
    placement: dkPlusPlaceMent;
    showArrow: boolean;
}, {}>;
export default _sfc_main;
