import type { returnType } from '../../_utils';
import type { dkPlusPlaceMent } from '../../_interface';
import type { PropType, ExtractPropTypes } from 'vue';
export declare const popoverProps: {
    width: returnType<PropType<string>, string | null>;
    visible: returnType<BooleanConstructor, boolean>;
    modelValue: returnType<BooleanConstructor, boolean>;
    trigger: returnType<PropType<"hover">, "hover" | null>;
    placement: returnType<PropType<dkPlusPlaceMent>, dkPlusPlaceMent | null>;
    showArrow: returnType<BooleanConstructor, boolean>;
};
export type PopoverPropsType = ExtractPropTypes<typeof popoverProps>;
