import type { DefineComponent, PropType, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import type { Install } from '../_utils/withInstall';
import myWatermark from "./src/watermark";
export declare const DkWatermark: Install<DefineComponent<{
    readonly value: {
        readonly type: PropType<string>;
        readonly default: "dk-watermark";
    };
    readonly font: {
        readonly type: PropType<string>;
        readonly default: "20px 微软雅黑";
    };
    readonly color: {
        readonly type: PropType<string>;
        readonly default: "#000";
    };
    readonly opacity: {
        readonly type: PropType<string>;
        readonly default: ".15";
    };
    readonly rotate: {
        readonly type: PropType<string | number>;
        readonly default: -20;
    };
    readonly appendToBody: {
        readonly type: PropType<boolean>;
        readonly default: false;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<{
    readonly value: {
        readonly type: PropType<string>;
        readonly default: "dk-watermark";
    };
    readonly font: {
        readonly type: PropType<string>;
        readonly default: "20px 微软雅黑";
    };
    readonly color: {
        readonly type: PropType<string>;
        readonly default: "#000";
    };
    readonly opacity: {
        readonly type: PropType<string>;
        readonly default: ".15";
    };
    readonly rotate: {
        readonly type: PropType<string | number>;
        readonly default: -20;
    };
    readonly appendToBody: {
        readonly type: PropType<boolean>;
        readonly default: false;
    };
}>>, {
    readonly color: string;
    readonly value: string;
    readonly font: string;
    readonly opacity: string;
    readonly rotate: string | number;
    readonly appendToBody: boolean;
}, {}>>;
export type watermarkInstance = InstanceType<typeof myWatermark>;
