import type { ClassListName } from '../_interface';
import type { DefineComponent, PropType, ComputedRef, CSSProperties, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import type { Install, returnType } from '../_utils';
import col from "./src/col";
export declare const DkCol: Install<DefineComponent<{
    span: returnType<PropType<string | number>, string | number | null>;
    offset: returnType<PropType<string | number>, string | number | null>;
}, {
    classList: ComputedRef<ClassListName>;
    styleList: CSSProperties;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<{
    span: returnType<PropType<string | number>, string | number | null>;
    offset: returnType<PropType<string | number>, string | number | null>;
}>>, {
    span: string | number;
    offset: string | number;
}, {}>>;
export type DkColInstanceType = InstanceType<typeof col>;
export default DkCol;
