import type { returnType } from '../../_utils';
import type { PropType, ExtractPropTypes } from 'vue';
import type { dkPlusSize, dkInputNumberPosition } from '../../_interface';
export declare const dkInputNumberProps: {
    placeholder: returnType<PropType<"">, "" | null>;
    position: returnType<PropType<dkInputNumberPosition>, dkInputNumberPosition | null>;
    readonly: returnType<BooleanConstructor, boolean>;
    precision: returnType<PropType<string | number>, string | number | null>;
    strict: returnType<BooleanConstructor, boolean>;
    disabled: returnType<BooleanConstructor, boolean>;
    size: returnType<PropType<dkPlusSize>, dkPlusSize | null>;
    modelValue: returnType<NumberConstructor, number | null>;
    step: returnType<PropType<string | number>, string | number | null>;
    min: returnType<NumberConstructor, number | null>;
    max: returnType<NumberConstructor, number | null>;
};
export type DkInputNumberProps = ExtractPropTypes<typeof dkInputNumberProps>;
