import type { returnType } from '../../_utils';
import type { PropType, ExtractPropTypes } from 'vue';
export declare const loadingProps: {
    readonly visible: returnType<BooleanConstructor, boolean>;
    readonly text: returnType<PropType<string>, string | null>;
    readonly textSize: returnType<PropType<string>, string | null>;
    readonly color: returnType<PropType<string>, string | null>;
    readonly background: returnType<PropType<string>, string | null>;
    readonly spinner: returnType<PropType<string>, string | null>;
    readonly spinnerSize: returnType<PropType<string>, string | null>;
    readonly flexDirection: returnType<PropType<string>, string | null>;
};
export type LoadingPropsType = ExtractPropTypes<typeof loadingProps>;
