import type { returnType } from '../../_utils';
import type { PropType, ExtractPropTypes } from 'vue';
import type { RateChange } from './interface';
export declare const dkRateProps: {
    modelValue: returnType<NumberConstructor, number | null>;
    numberValue: returnType<PropType<string | number>, string | number | null>;
    icon: returnType<PropType<string>, string | null>;
    readonly: returnType<BooleanConstructor, boolean>;
    selectColor: returnType<PropType<string>, string | null>;
    noSelectColor: returnType<PropType<string>, string | null>;
    iconSize: returnType<PropType<string | number>, string | number | null>;
    onchange: returnType<PropType<RateChange>, RateChange | undefined>;
    disabled: returnType<BooleanConstructor, boolean>;
    showScore: returnType<BooleanConstructor, boolean>;
    showText: returnType<PropType<string>, string[] | undefined>;
};
export type RateProps = ExtractPropTypes<typeof dkRateProps>;
