import type { RateChange } from './interface';
import type { returnType } from '../../_utils';
import type { DefineComponent, PropType, Ref, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    modelValue: returnType<NumberConstructor, number | null>;
    numberValue: returnType<PropType<string | number>, string | number | null>;
    icon: returnType<PropType<string>, string | null>;
    readonly: returnType<BooleanConstructor, boolean>;
    selectColor: returnType<PropType<string>, string | null>;
    noSelectColor: returnType<PropType<string>, string | null>;
    iconSize: returnType<PropType<string | number>, string | number | null>;
    onchange: returnType<PropType<RateChange>, RateChange | undefined>;
    disabled: returnType<BooleanConstructor, boolean>;
    showScore: returnType<BooleanConstructor, boolean>;
    showText: returnType<PropType<string>, string[] | undefined>;
}, {
    onMouseout: Ref<() => void>;
    onMouseover: Ref<(index: number) => void>;
    handleClick: Ref<(ind: number) => void>;
    modelValue: Ref<number>;
    numberValue: Ref<string | number>;
    disabled: Ref<boolean>;
    selectColor: Ref<string>;
    noSelectColor: Ref<string>;
    IsNumberValue: Ref<number>;
    isMouseEnter: Ref<boolean>;
    markList: Ref<number>;
    showScore: Ref<boolean>;
    showText: Ref<string>;
    timestampTime: Ref<number>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:modelValue" | "change")[], "update:modelValue" | "change", PublicProps, Readonly<ExtractPropTypes<{
    modelValue: returnType<NumberConstructor, number | null>;
    numberValue: returnType<PropType<string | number>, string | number | null>;
    icon: returnType<PropType<string>, string | null>;
    readonly: returnType<BooleanConstructor, boolean>;
    selectColor: returnType<PropType<string>, string | null>;
    noSelectColor: returnType<PropType<string>, string | null>;
    iconSize: returnType<PropType<string | number>, string | number | null>;
    onchange: returnType<PropType<RateChange>, RateChange | undefined>;
    disabled: returnType<BooleanConstructor, boolean>;
    showScore: returnType<BooleanConstructor, boolean>;
    showText: returnType<PropType<string>, string[] | undefined>;
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    disabled: boolean;
    icon: string;
    iconSize: string | number;
    modelValue: number;
    readonly: boolean;
    numberValue: string | number;
    selectColor: string;
    noSelectColor: string;
    onchange: RateChange;
    showScore: boolean;
    showText: string;
}, {}>;
export default _sfc_main;
