import type { dkPlusJustify, ClassListName } from '../_interface';
import type { DefineComponent, PropType, ComputedRef, CSSProperties, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import type { Install, returnType } from '../_utils';
import row from "./src/row";
export declare const DkRow: Install<DefineComponent<{
    gutter: returnType<PropType<string | number>, string | number | null>;
    justify: returnType<PropType<dkPlusJustify>, dkPlusJustify | null>;
}, {
    classList: ComputedRef<ClassListName>;
    styleList: CSSProperties;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<{
    gutter: returnType<PropType<string | number>, string | number | null>;
    justify: returnType<PropType<dkPlusJustify>, dkPlusJustify | null>;
}>>, {
    gutter: string | number;
    justify: dkPlusJustify;
}, {}>>;
export type layoutInstance = InstanceType<typeof row>;
export default DkRow;
