import type { ClassListName } from '../../_interface';
import type { returnType } from '../..';
import type { DefineComponent, PropType, ComputedRef, ComponentOptionsMixin, PublicProps, ExtractPropTypes, CSSProperties,  Ref } from 'vue';
declare const _sfc_main: DefineComponent<{
    width: returnType<PropType<string>, string | null>;
    height: returnType<PropType<string>, string | null>;
    barWidth: returnType<PropType<string>, string | null>;
    thumbRadius: returnType<PropType<string>, string | null>;
    trackColor: returnType<PropType<string>, string | null>;
    thumbColor: returnType<PropType<string>, string | null>;
}, {
    scrollBarStyle: Ref<CSSProperties>;
    transition: Ref<(step: number, init: number) => void>;
    handleScrollChange: Ref<(evt: Event) => void>;
    classList: ComputedRef<ClassListName>;
    styleList: CSSProperties;
    wrapperClassList: ComputedRef<ClassListName>;
    width: string;
    height: string;
    barWidth: string;
    thumbRadius: string;
    trackColor: string;
    thumbColor: string;
    onScroll: ((...args: any[]) => any) | undefined;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "scroll"[], "scroll", PublicProps, Readonly<ExtractPropTypes<{
    width: returnType<PropType<string>, string | null>;
    height: returnType<PropType<string>, string | null>;
    barWidth: returnType<PropType<string>, string | null>;
    thumbRadius: returnType<PropType<string>, string | null>;
    trackColor: returnType<PropType<string>, string | null>;
    thumbColor: returnType<PropType<string>, string | null>;
}>> & {
    onScroll?: ((...args: any[]) => any) | undefined;
}, {
    width: string;
    height: string;
    barWidth: string;
    thumbRadius: string;
    trackColor: string;
    thumbColor: string;
}, {}>;
export default _sfc_main;
