import type { returnType } from '../../_utils';
import type { PropType, ExtractPropTypes } from 'vue';
import type { dkPlusSize } from '../../_interface';
export declare const DkProps: {
    readonly vertical: returnType<BooleanConstructor, boolean>;
    readonly nowrap: returnType<BooleanConstructor, boolean>;
    readonly spacingType: returnType<PropType<dkPlusSize>, dkPlusSize | null>;
    readonly portRait: returnType<PropType<string>, string | null>;
    readonly landScape: returnType<PropType<string>, string | null>;
};
export type SpaceProps = ExtractPropTypes<typeof DkProps>;
