import type { returnType } from '../_utils/props';
import type { DefineComponent, Ref, ComputedRef, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import type { Install } from '../_utils/withInstall';
import Transition from "./src/transition";
export declare const DkTransition: Install<DefineComponent<{
    readonly isActive: returnType<BooleanConstructor, boolean>;
}, {
    dkTransition: Ref<HTMLButtonElement | undefined>;
    codeHeight: ComputedRef<string>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<{
    readonly isActive: returnType<BooleanConstructor, boolean>;
}>>, {
    readonly isActive: boolean;
}, {}>>;
export type TransitionInstance = InstanceType<typeof Transition>;
export default DkTransition;
