import type { returnType } from '../../_utils';
import type { PropType, ExtractPropTypes } from 'vue';
export declare const dkCheckboxProps: {
    modelValue: returnType<BooleanConstructor, boolean>;
    indeterminate: returnType<BooleanConstructor, boolean>;
    disabled: returnType<BooleanConstructor, boolean>;
    size: returnType<PropType<string>, string | null>;
    checkedLabel: returnType<PropType<string>, string | null>;
    uncheckedLabel: returnType<PropType<string>, string | null>;
    border: returnType<BooleanConstructor, boolean>;
    label: returnType<PropType<string>, string | null>;
    value: returnType<PropType<string>, string | null>;
};
export type DkCheckboxType = ExtractPropTypes<typeof dkCheckboxProps>;
