import type { returnType } from '../../_utils';
import type { PropType, ExtractPropTypes } from 'vue';
export declare const dkCollapseItemProps: {
    readonly title: returnType<PropType<string>, string | null>;
    readonly name: returnType<PropType<string>, string | null>;
    readonly icon: returnType<PropType<string>, string | null>;
    readonly active: returnType<BooleanConstructor, boolean>;
    readonly modelValue: returnType<BooleanConstructor, boolean>;
};
export type DkCollapseItemProps = ExtractPropTypes<typeof dkCollapseItemProps>;
