import type { returnType } from '../_utils/props';
import type { DefineComponent, PropType, ComputedRef, CSSProperties, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import type { Install } from '../_utils/withInstall';
import Icon from "./src/icon";
export declare const DkIcon: Install<DefineComponent<{
    readonly icon: returnType<PropType<string>, string | null>;
    readonly size: returnType<PropType<string | number>, string | number | null>;
    readonly color: returnType<PropType<string>, string | null>;
}, {
    style: ComputedRef<CSSProperties>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<{
    readonly icon: returnType<PropType<string>, string | null>;
    readonly size: returnType<PropType<string | number>, string | number | null>;
    readonly color: returnType<PropType<string>, string | null>;
}>>, {
    readonly size: string | number;
    readonly icon: string;
    readonly color: string;
}, {}>>;
export type IconInstance = InstanceType<typeof Icon>;
export default DkIcon;
export * from './src/icon';
