import type { returnType } from '../../_utils';
import type { PropType, ExtractPropTypes } from 'vue';
import type { dkPlusSize } from '../../_interface';
export declare const dkRadioProps: {
    modelValue: returnType<PropType<string>, string | null>;
    disabled: returnType<BooleanConstructor, boolean>;
    name: returnType<PropType<string>, string | null>;
    label: returnType<PropType<string>, string | null>;
    size: returnType<PropType<dkPlusSize>, dkPlusSize | null>;
    checkedColor: {
        type: StringConstructor;
        default: () => string | null;
    };
    uncheckedColor: {
        type: StringConstructor;
        default: () => string | null;
    };
    border: returnType<BooleanConstructor, boolean>;
};
export type DkRadioType = ExtractPropTypes<typeof dkRadioProps>;
