import type { ComputedRef, CSSProperties } from 'vue';
import type { FilterParams } from '../..';
import type { ClassListName } from '../../../_interface';
export interface UseListReturn {
    classes: (list: FilterParams, className?: string) => ComputedRef<ClassListName>;
    styles: (list: FilterParams, pixel?: boolean | string | string[]) => ComputedRef<CSSProperties>;
    stylesList: (borderColor: string[] | string | undefined, index?: number) => string | null;
}
export declare const getStyleList: <T extends object>(props: T, name: string) => UseListReturn;
