import type { VNode, Component } from 'vue';
export type ClassListName = (string | Record<string, unknown>)[];
export type dkPlusType = 'primary' | 'success' | 'info' | 'warning' | 'danger' | 'default';
export type dkPlusSize = 'large' | 'medium' | 'small' | 'mini';
export type dkTarget = '_blank' | '_self' | '_parent' | '_top';
export type dkPlusJustify = 'center' | 'end' | 'flex-end' | 'flex-start' | 'inherit' | 'initial' | 'left' | 'normal' | 'revert' | 'right' | 'space-around' | 'space-between' | 'space-evenly' | 'start' | 'stretch' | 'unset';
export type MouseEventType = (evt: MouseEvent) => void;
export type DkIcon = VNode | Component;
export type KeyboardEventType = (evt: KeyboardEvent) => void;
export type dkInputPersonalityType = 'underline' | 'borderRadius';
export type dkInputStatusType = 'warning' | 'error';
export type DkPlusAlign = 'left' | 'center' | 'right';
export type DkPlusPosition = 'top' | 'right' | 'bottom' | 'left';
export type dkPlusAlertType = 'success' | 'info' | 'warning' | 'error';
export type dkPlusPlaceMent = 'top' | 'bottom' | 'left' | 'right' | 'top-left' | 'top-right' | 'bottom-left' | 'bottom-right';
