import type { ComputedOptions, MethodOptions, App,  Directive,  Component } from 'vue';
export type Install<T> = T & {
    install(app: App): void;
};
export declare const withInstall: <T extends Component<any, any, any, ComputedOptions, MethodOptions, {}, any>>(comp: T) => Install<T>;
export declare const installDirective: <T extends Directive<any, any>>(main: T, name: string) => Install<T>;
export declare const interior: <T>(main: T, name: string) => Install<T>;
