import type { returnType } from '../../_utils';
import type { PropType, ExtractPropTypes } from 'vue';
import type { dkPlusAlertType } from '../../_interface';
export declare const dkAlertProps: {
    type: returnType<PropType<dkPlusAlertType>, dkPlusAlertType | null>;
    title: returnType<PropType<string>, string | null>;
    description: returnType<PropType<string>, string | null>;
    center: returnType<BooleanConstructor, boolean>;
    closable: returnType<BooleanConstructor, boolean>;
    close: returnType<PropType<Function>, Function | undefined>;
    icon: returnType<PropType<string>, string | null>;
    closeIcon: returnType<PropType<string>, string | null>;
};
export type DkAlertProps = ExtractPropTypes<typeof dkAlertProps>;
