import type { returnType } from '../_utils/props';
import type { DefineComponent, PropType, Ref, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import type { Install } from '../_utils/withInstall';
import CollapseItem from "./src/collapse_item";
export declare const DkCollapseItem: Install<DefineComponent<{
    readonly title: returnType<PropType<string>, string | null>;
    readonly name: returnType<PropType<string>, string | null>;
    readonly icon: returnType<PropType<string>, string | null>;
    readonly active: returnType<BooleanConstructor, boolean>;
    readonly modelValue: returnType<BooleanConstructor, boolean>;
}, {
    data: {
        isActive: boolean;
        with: number;
        height: number;
    };
    title: Ref<string>;
    icon: Ref<string>;
    name: Ref<string>;
    onClickTitle: () => void;
    isActive: Ref<boolean>;
    with: Ref<number>;
    height: Ref<number>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "change"[], "change", PublicProps, Readonly<ExtractPropTypes<{
    readonly title: returnType<PropType<string>, string | null>;
    readonly name: returnType<PropType<string>, string | null>;
    readonly icon: returnType<PropType<string>, string | null>;
    readonly active: returnType<BooleanConstructor, boolean>;
    readonly modelValue: returnType<BooleanConstructor, boolean>;
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    readonly name: string;
    readonly icon: string;
    readonly modelValue: boolean;
    readonly title: string;
    readonly active: boolean;
}, {}>>;
export type CollapseItemInstance = InstanceType<typeof CollapseItem>;
export default DkCollapseItem;
