import type { returnType } from '../../_utils';
import type { PropType, ExtractPropTypes } from 'vue';
export declare const dkScrollbar: {
    width: returnType<PropType<string>, string | null>;
    height: returnType<PropType<string>, string | null>;
    barWidth: returnType<PropType<string>, string | null>;
    thumbRadius: returnType<PropType<string>, string | null>;
    trackColor: returnType<PropType<string>, string | null>;
    thumbColor: returnType<PropType<string>, string | null>;
};
export type DkScrollbarType = ExtractPropTypes<typeof dkScrollbar>;
