import type { returnType } from '../_utils/props';
import type { DefineComponent, PropType, Ref, ComputedRef, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import type { Install } from '../_utils/withInstall';
import shadow from "./src/dkshadow";
export declare const DkShadow: Install<DefineComponent<{
    type: returnType<PropType<string>, string | null>;
    shadowClass: returnType<PropType<string>, string | null>;
    hoverType: returnType<BooleanConstructor, boolean>;
    hoverClass: returnType<PropType<string>, string | null>;
    borderColor: returnType<PropType<string>, string | null>;
}, {
    DkShadow: Ref<HTMLButtonElement | undefined>;
    type: ComputedRef<string>;
    shadowClass: ComputedRef<string>;
    hoverType: ComputedRef<boolean>;
    onhoverType: () => void;
    oncloshoverType: () => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<{
    type: returnType<PropType<string>, string | null>;
    shadowClass: returnType<PropType<string>, string | null>;
    hoverType: returnType<BooleanConstructor, boolean>;
    hoverClass: returnType<PropType<string>, string | null>;
    borderColor: returnType<PropType<string>, string | null>;
}>>, {
    type: string;
    borderColor: string;
    shadowClass: string;
    hoverType: boolean;
    hoverClass: string;
}, {}>>;
export type shadowInstance = InstanceType<typeof shadow>;
export default DkShadow;
