import type { dkPlusSize, ClassListName } from '../../_interface';
import type { returnType } from '../..';
import type { DefineComponent, PropType, ComputedRef, CSSProperties, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly vertical: returnType<BooleanConstructor, boolean>;
    readonly nowrap: returnType<BooleanConstructor, boolean>;
    readonly spacingType: returnType<PropType<dkPlusSize>, dkPlusSize | null>;
    readonly portRait: returnType<PropType<string>, string | null>;
    readonly landScape: returnType<PropType<string>, string | null>;
}, {
    classList: ComputedRef<ClassListName>;
    styleList: ComputedRef<CSSProperties>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<{
    readonly vertical: returnType<BooleanConstructor, boolean>;
    readonly nowrap: returnType<BooleanConstructor, boolean>;
    readonly spacingType: returnType<PropType<dkPlusSize>, dkPlusSize | null>;
    readonly portRait: returnType<PropType<string>, string | null>;
    readonly landScape: returnType<PropType<string>, string | null>;
}>>, {
    readonly vertical: boolean;
    readonly nowrap: boolean;
    readonly spacingType: dkPlusSize;
    readonly portRait: string;
    readonly landScape: string;
}, {}>;
export default _sfc_main;
