import type { returnType } from '../../_utils';
import type { PropType, type ExtractPropTypes } from 'vue';
import type { dkPlusSize } from '../../_interface';
export declare const switchProps: {
    modelValue: returnType<BooleanConstructor, boolean>;
    disabled: returnType<BooleanConstructor, boolean>;
    size: returnType<PropType<dkPlusSize>, dkPlusSize | null>;
    checkedColor: {
        type: StringConstructor;
        default: () => string | null;
    };
    uncheckedColor: {
        type: StringConstructor;
        default: () => string | null;
    };
    checkedText: returnType<PropType<"">, "" | null>;
    uncheckedText: returnType<PropType<"">, "" | null>;
    width: returnType<PropType<string>, string | null>;
    checkedIcon: returnType<PropType<"">, "" | null>;
    uncheckedIcon: returnType<PropType<"">, "" | null>;
    loading: returnType<BooleanConstructor, boolean>;
    checkedCustomIcon: returnType<PropType<"">, "" | null>;
    uncheckedCustomIcon: returnType<PropType<"">, "" | null>;
};
export type SwitchPropsType = ExtractPropTypes<typeof switchProps>;
