import type { PropType } from 'vue';
import type { ExtractPropTypes } from 'vue';
export declare const dkWatermark: {
    readonly value: {
        readonly type: PropType<string>;
        readonly default: "dk-watermark";
    };
    readonly font: {
        readonly type: PropType<string>;
        readonly default: "20px 微软雅黑";
    };
    readonly color: {
        readonly type: PropType<string>;
        readonly default: "#000";
    };
    readonly opacity: {
        readonly type: PropType<string>;
        readonly default: ".15";
    };
    readonly rotate: {
        readonly type: PropType<string | number>;
        readonly default: -20;
    };
    readonly appendToBody: {
        readonly type: PropType<boolean>;
        readonly default: false;
    };
};
export type DkWatermark = ExtractPropTypes<typeof dkWatermark>;
